package com.xyhy.xingshenmqttcluster.common.message;

import com.alibaba.fastjson.JSONObject;
import com.xyhy.xingshenmqttcluster.common.Common;
import com.xyhy.xingshenmqttcluster.common.HttpRequest;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class MessageHandle {

    public static final Logger log =  LoggerFactory.getLogger(MessageHandle.class);

    public static void vehicleOnline(String topic, JSONObject msg){

    }

    public static void vehicleOffline(String topic, JSONObject msg){

    }

    public static void fuelState(String topic, JSONObject msg){

    }

    public static void vehicleState(String topic, JSONObject msg){

    }

    public static void vehicleStart(String topic, JSONObject msg){
        JSONObject msgBody = JSONObject.parseObject(msg.getString("msgBody"));
        String capacityResourceObjectId = msgBody.getString("capacityResourceObjectId");
        String url = Common.getConfigByName("charging.interface.api.url.test") + "/tcpcarControl";
        String param = "ivCapacityResourceld" + "=" + capacityResourceObjectId + "&" + "messageType" + "=" + "2";
        log.info(param);
        Object o = HttpRequest.sendPost(url, param);
        log.info(msg.toJSONString());
    }

    public static void arriveStationRequest(String topic, JSONObject msg){
        JSONObject msgBody = JSONObject.parseObject(msg.getString("msgBody"));
        String capacityResourceObjectId = msgBody.getString("capacityResourceId");
        JSONObject data = msgBody.getJSONObject("data");
        JSONObject station = data.getJSONObject("station");
        String stationId = station.getString("stationId");
        String url = Common.getConfigByName("charging.interface.api.url.test") + "/tcpcarControl";
        String param = "ivCapacityResourceld" + "=" + capacityResourceObjectId + "&" +
                       "ivParkPointId" + "=" + stationId + "&" +
                       "messageType" + "=" + "1";
        log.info(param);
        Object o = HttpRequest.sendPost(url, param);
        log.info(msg.toJSONString());
    }

    public static void arrivePoint(String topic, JSONObject msg){

    }

    public static void leavePoint(String topic, JSONObject msg){

    }

    public static void gotoPoint(String topic, JSONObject msg){

    }

    public static void taskBegin(String topic, JSONObject msg){

    }

    public static void taskOver(String topic, JSONObject msg){

    }

    public static void startCarFailMsg(String topic, JSONObject msg){

    }
}
